> ## Documentation Index
> Fetch the complete documentation index at: https://developer.zilmoney.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Bank Account

> Delete an existing bank account.



## OpenAPI

````yaml DELETE /bankAccounts/{bankAccountId}
openapi: 3.0.1
info:
  title: Online Check Writer API
  description: API documentation for bank accounts.
  version: 1.0.0
servers:
  - url: https://test.onlinecheckwriter.com/api/v3
    description: Test server
  - url: https://app.onlinecheckwriter.com/api/v3
    description: Production server
security: []
paths:
  /bankAccounts/{bankAccountId}:
    delete:
      tags:
        - Bank Accounts
      summary: Delete a bank account
      description: Delete an existing bank account.
      parameters:
        - name: bankAccountId
          in: path
          description: The ID of the bank account to delete.
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Bank account deleted successfully.
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: true
                  message:
                    type: string
                    example: Successfully deleted
        '401':
          description: Unauthorized. Missing or invalid token.
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: Unauthenticated.
        '404':
          description: Bank account not found.
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: false
                  errorMsg:
                    type: string
                    example: This bank account not found.
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````